<ngx-alerts></ngx-alerts>
<section class="body">
  <div class="container">
    <div class="row padre">
      <div class="col-lg-6 col-md-12 col-sm-12" style="padding: 5%">
        <mat-card class="mat-elevation-z4" style="padding: 5%">
          <div class="text-center">
            <div class="nav-item" ngbDropdown placement="bottom-center">
              <a class="nav-link position-relative" id="dropdownLang" ngbDropdownToggle>
                <img src="{{getFlagURL()}}" alt="English" class="langimg">
                <p class="d-none">Language</p>
              </a>
              <div ngbDropdownMenu aria-labelledby="dropdownLang" class="dropdownLang">
                <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('en')">
                  <img src="assets/img/flags/us.png" alt="English" class="langimg">
                  <span>English</span>
                </a>
                <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('es')">
                  <img src="assets/img/flags/es.png" alt="Espa&ntilde;ol" class="langimg">
                  <span>Espa&ntilde;ol</span>
                </a>
              </div>
            </div>
          </div>
          <div class="logo col-lg-12 col-md-6 col-xs-12 col-sm-6 col-xl-6" style="height: inherit;" id="profile_photo">
            <img class="profile-pic" [src]="ruta">
          </div>         
          <div class="text-center">
            <h3 style="font-weight:bold">GeoCargo</h3>
          </div>
          <form role="form" method="post" class="example-form " [formGroup]="loginForm">
            <div class="containerForm col-lg-12 col-12 justify-content-center align-items-center">
              <div class="form-group">
                <mat-form-field class="example-full-width col-lg-12 col-12">
                  <input matInput formControlName="user_name">
                  <mat-placeholder>{{'login.name' | translate}}</mat-placeholder>
                  <mat-error *ngIf="!loginForm.controls['user_name'].valid && loginForm.controls['user_name'].touched">
                    {{'userRegister.requirdField' | translate}}</mat-error>
                </mat-form-field>
              </div>

              <div class="form-group">
                <mat-form-field class="example-full-width col-lg-12 col-12">
                  <input matInput formControlName="password" [type]="hide ? 'password' : 'text'">
                  <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                    [attr.aria-pressed]="hide">
                    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                  </button>
                  <mat-placeholder>{{'login.password' | translate}}</mat-placeholder>
                  <mat-error *ngIf="!loginForm.controls['password'].valid && loginForm.controls['password'].touched">
                    {{'userRegister.requirdField' | translate}}</mat-error>
                </mat-form-field>
              </div>
            </div>
            <div class="f1-buttons text-center">
              <div class="row justify-content-center">
                <a mat-button class="linkBtn"
                  href="/forgot-password"><strong>{{'login.forgotPassword' | translate}}</strong></a>
                <a mat-button class="linkBtn" href="/register"><strong>{{'login.register' | translate}}</strong></a>
                <!--<button type="button" class="btn btn-previous" (click)="goToRegister()">Register</button>-->
              </div>
              <button type="submit" class="btn btn-success" (click)="login()" [disabled]="!loginForm.valid">
                {{'login.login' | translate}}</button>
            </div>

          </form>
          <br>
        </mat-card>
      </div>
    </div>
    <!-- <div class="top-content">
          <div id="cont" class="row align-items-center" [ngStyle]="{'background-image':getBackgroundURL()}" style="background-size: cover;">
            
      </div> -->
    <!-- </div> -->
  </div>
</section>